Documentación

Inventario

Inventario de bienes del edificio.

type: item_inventario EntitySet: Inventario

Probar en Lab

Scopes

  • comunidesk:read
  • comunidesk:write

Endpoints

  • GET /v1/rest/Inventario

    Listar

    Scopes: comunidesk:read

  • GET /v1/rest/Inventario/{id}

    Obtener por id

    Scopes: comunidesk:read

  • POST /v1/rest/Inventario

    Crear

    Scopes: comunidesk:write

  • PATCH /v1/rest/Inventario/{id}

    Actualizar

    Scopes: comunidesk:write

Ejemplo de request

curl -X GET 'https://gateway.comunidesk.com/v1/rest/Inventario' \
  -H "Authorization: Bearer $OAUTH_TOKEN" \
  -H "x-comunidesk-user-authorization: Bearer $USER_JWT"

Campos de escritura

Campos aceptados en POST/PATCH.

CampoTipoObligatorioEnum
edificioIdstring
nombrestring
categoriastringNo
cantidadnumber
ubicacionstringNo
estadostringNodisponible | en_uso | baja
observacionesstringNo

Solo lectura: _id, _rev, type, createdAt, updatedAt

Portal: developers.comunidesk.com · Gateway: gateway.comunidesk.com

Comunidesk Shell dev